<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.crawler.modules.kuaishoucce.mapper.KuaishouEffectAdInfoMapper">

    <insert id="replaceBatch">
        replace into kuaishou_effect_ad_info(
        id,
        main_mv_url,
        cover_thumbnail_url,
        photo_id,
        width,
        height,
        video_duration,
        admin_time,
        like_ratio,
        like_count,
        time_growth_ratio,
        theme,
        text,
        caption,
        source,
        banner_url,
        major_industry_name,
        create_time,
        update_time
        )
        values
        <foreach collection="adInfos" item="ad" separator=",">
            (
            #{ad.id},
            #{ad.mainMvUrl},
            #{ad.coverThumbnailUrl},
            #{ad.photoId},
            #{ad.width},
            #{ad.height},
            #{ad.videoDuration},
            #{ad.adminTime},
            #{ad.likeRatio},
            #{ad.likeCount},
            #{ad.timeGrowthRatio},
            #{ad.theme},
            #{ad.text},
            #{ad.caption},
            #{ad.source},
            #{ad.bannerUrl},
            #{ad.majorIndustryName},
            #{ad.createTime},
            #{ad.updateTime}
            )
        </foreach>
    </insert>
</mapper>
